Subject: [Idr] "Final" revision : draft-ietf-idr-ls-distribution-13.txt

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 16 Oct 2015 17:54:25 +0100

Hi,

This revision has just a couple of very minor nits from IESG review.

Adrian

> -----Original Message-----
> From: Idr [mailto:[email-masked]] On Behalf Of [email-masked]
> Sent: 16 October 2015 17:52
> To: [email-masked]
> Cc: [email-masked]
> Subject: [Idr] I-D Action: draft-ietf-idr-ls-distribution-13.txt
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts
directories.
>  This draft is a work item of the Inter-Domain Routing Working Group of the
IETF.
> 
>         Title           : North-Bound Distribution of Link-State and TE
Information using
> BGP
>         Authors         : Hannes Gredler
>                           Jan Medved
>                           Stefano Previdi
>                           Adrian Farrel
>                           Saikat Ray
> 	Filename        : draft-ietf-idr-ls-distribution-13.txt
> 	Pages           : 47
> 	Date            : 2015-10-16
> 
> Abstract:
>    In a number of environments, a component external to a network is
>    called upon to perform computations based on the network topology and
>    current state of the connections within the network, including
>    traffic engineering information.  This is information typically
>    distributed by IGP routing protocols within the network.
> 
>    This document describes a mechanism by which links state and traffic
>    engineering information can be collected from networks and shared
>    with external components using the BGP routing protocol.  This is
>    achieved using a new BGP Network Layer Reachability Information
>    (NLRI) encoding format.  The mechanism is applicable to physical and
>    virtual IGP links.  The mechanism described is subject to policy
>    control.
> 
>    Applications of this technique include Application Layer Traffic
>    Optimization (ALTO) servers, and Path Computation Elements (PCEs).
> 
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-idr-ls-distribution/
> 
> There's also a htmlized version available at:
> https://tools.ietf.org/html/draft-ietf-idr-ls-distribution-13
> 
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-ietf-idr-ls-distribution-13
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> _______________________________________________
> Idr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/idr

---

From: Uma Chunduri <[email-masked]>
Date: Fri, 16 Oct 2015 20:20:44 +0000

Could glanced through "-12" updates too.

Have minor suggestions:

1. Section 3.2.1.4 - BGP-LS Identifier:
     "The ASN, BGP Router-ID tuple (which is globally unique
      [RFC6286] ) of one of the BGP-LS speakers within the flooding-set
      (or IGP domain) may be used for all BGP-LS speakers in that
      flooding-set (or IGP domain)."

      Would suggest "may be used" to "MAY be used"

      Perhaps this has been discussed earlier, but RFC 6286 requirement is "unique" with in AS, which fits well for 
      a router-ID but the LS-Identifier being talked about has to be "same" with the IGP flooding domain. 
      So to me, actually I am not really sure why we should add this statement at all.

Typo?:

2.  Section 3.3.3:
     "   Prefixes are learned from the IGP topology (IS-IS or OSPF) with a set
   of IGP attributes (such as metric, route tags, etc.) that MUST be
   reflected into the BGP-LS attribute with a link NLRI."

    ".. attribute with a link NLRI" ==> ".. attribute with a prefix NLRI"

Nit:
3. Section 3.1:

     "of the
   string. .  All TLVs that are not specified as mandatory are
   considered optional."

--
Uma C.

-----Original Message-----
From: Idr [mailto:[email-masked]] On Behalf Of Adrian Farrel
Sent: Friday, October 16, 2015 9:54 AM
To: [email-masked]
Subject: [Idr] "Final" revision : draft-ietf-idr-ls-distribution-13.txt

Hi,

Adrian

directories.
IETF.
Information using
> Please note that it may take a couple of minutes from the time of 
> submission until the htmlized version and diff are available at tools.ietf.org.
>

---

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 22 Oct 2015 10:22:13 +0100

Hello Uma,

[Alvaro: What would you like us to do with these late-breaking comments?]

>       Perhaps this has been discussed earlier, but RFC 6286 requirement is
"unique"
>       with in AS, which fits well for  a router-ID but the LS-Identifier being
talked
>       about has to be "same" with the IGP flooding domain.

I think I agree that 
      All BGP-LS speakers
      within an IGP flooding-set (set of IGP nodes within which an LSP/
      LSA is flooded) MUST use the same ASN, BGP-LS ID tuple.
makes 
     The ASN, BGP Router-ID tuple (which is globally unique
      [RFC6286] ) of one of the BGP-LS speakers within the flooding-set
      (or IGP domain) may be used for all BGP-LS speakers in that
      flooding-set (or IGP domain).
redundant. I suspect it is old text that was better stated by new text inserted
above.

It is not wrong, but could safely be deleted.

>     ".. attribute with a link NLRI" ==> ".. attribute with a prefix NLRI"

Yes, I think that is right.
 
>    string. .  All TLVs that are not specified as mandatory are

Shock! ;-)

Thanks,
Adrian

---

From: "Alvaro Retana (aretana)" <[email-masked]>
Date: Thu, 22 Oct 2015 11:34:07 +0000

On 10/22/15, 5:22 AM, "Adrian Farrel" <[email-masked]> wrote:

Adrian:

Hi!

>[Alvaro: What would you like us to do with these late-breaking comments?]

I'll put in a note to the RFC Editor and move this document forward.  See
below.

Thanks!

Alvaro.

>>       So to me, actually I am not really sure why we should add this
>>statement
>at all.
>
>I think I agree that
>      All BGP-LS speakers

I'll ask for that last sentence in the description of the BGP-LS
Identifier to be deleted.

>Yes, I think that is right.

Including this too.

>>    string. .  All TLVs that are not specified as mandatory are

The nit was in the double ".".